by Ti64CLi++ » 11 Sep 2017, 21:30
Bon, desormais, je tente de l'installer sur un ordi en Irlande, Win10 *64
Voila les erreurs que ca retourne, apres avoir reussi a telecharger BINUTILS, GCC et il me semble que c'est a la fin du telechargement de NEWLIB
C'est pour les lignes 58 a 61 de build_toolchain.sh que j'ai l'erreur, mais je ne sais pas exactement a quel ligne:
- Code: Select all
#!/bin/sh
# Written by Uwe Hermann <uwe@hermann-uwe.de>, released as public domain.
# Edited by Travis Wiens ( http://blog.nutaksas.com/2009/05/installing-gnuarm-arm-toolchain-on.html )
# Edited by Lionel Debroux for newer gcc/binutils/newlib/gdb versions and nspire-gcc.
# Edited by Legimet for elf2flt and newer gcc/binutils/newlib/gdb versions.
# Edited by Levak to update elf2flt url
# Edited by Fabian Vogt to use the local (patched) version of elf2flt, newlib, GDB with python
# IMPORTANT NOTE: in order to compile GCC, you need the GMP (libgmp-dev), MPFR (libmpfr-dev) and MPC (libmpc-dev) development libraries.
# For example, if you have installed them yourself in ${PREFIX}, you'll have to add --with-gmp=${PREFIX} --with-mpfr=${PREFIX} --with-mpc=${PREFIX}.
# IMPORTANT NOTE #2: GDB needs some python includes for python support.
# If you don't have them and you don't need python support, remove the --with-python from OPTIONS_GDB below.
TARGET=arm-none-eabi
PREFIX="${PWD}/install" # or the directory where the toolchain should be installed in
PARALLEL="-j4" # or "-j<number of build jobs>"
BINUTILS=binutils-2.28 # http://www.gnu.org/software/binutils/
GCC=gcc-7.2.0 # http://gcc.gnu.org/
NEWLIB=newlib-2.4.0 # http://sourceware.org/newlib/
GDB=gdb-8.0 # http://www.gnu.org/software/gdb/
# For newlib
export CFLAGS_FOR_TARGET="-DHAVE_RENAME -DMALLOC_PROVIDED -DABORT_PROVIDED -DNO_FORK -mcpu=arm926ej-s -ffunction-sections -Ofast -funroll-loops"
export CXXFLAGS_FOR_TARGET="-DHAVE_RENAME -DMALLOC_PROVIDED -DABORT_PROVIDED -DNO_FORK -mcpu=arm926ej-s -ffunction-sections -Ofast -funroll-loops"
export PATH="${PREFIX}/bin:${PATH}"
OPTIONS_BINUTILS="--target=${TARGET} --prefix=${PREFIX} --enable-interwork --enable-multilib --with-system-zlib --with-gnu-as --with-gnu-ld --disable-nls --with-float=soft --disable-werror"
OPTIONS_GCC="--target=${TARGET} --prefix=${PREFIX} --enable-interwork --enable-multilib --enable-languages="c,c++" --with-system-zlib --with-newlib --with-headers=../${NEWLIB}/newlib/libc/include --disable-threads --disable-tls --disable-shared --with-gnu-as --with-gnu-ld --with-float=soft --disable-werror --disable-libstdcxx-verbose"
OPTIONS_NEWLIB="--target=${TARGET} --prefix=${PREFIX} --enable-interwork --enable-multilib --with-gnu-as --with-gnu-ld --disable-newlib-may-supply-syscalls --disable-newlib-supplied-syscalls --with-float=soft --disable-werror --disable-nls --enable-newlib-io-float"
OPTIONS_GDB="--target=${TARGET} --prefix=${PREFIX} --enable-interwork --enable-multilib --disable-werror"
# When building gcc with clang, the maximum amount of nested brackets has to be increased
if (gcc -v 2>&1 | grep clang > /dev/null); then
export CXXFLAGS="-fbracket-depth=512 -O2"
fi
echo "Building and installing to '${PREFIX}'..."
SCRIPTPATH="$( cd "$(dirname "$0")" ; pwd -P )"
mkdir -p "${PREFIX}"
# Section 0: prerequisites
echo 'int main() {return 0;}' > test.c
error=0
if ! gcc -lgmp test.c -o test; then error=1; echo 'GMP (gmp-devel/libgmp-dev) dependency seems to be missing!'; fi
if ! gcc -lmpfr test.c -o test; then error=1; echo 'MPFR (mpfr-devel/libmpfr-dev) dependency seems to be missing!'; fi
if ! gcc -lmpc test.c -o test; then error=1; echo 'MPC (mpc-devel/libmpc-dev) dependency seems to be missing!'; fi
if ! gcc -lz test.c -o test; then error=1; echo 'zlib (zlib-devel/zlib1g-dev) dependency seems to be missing!'; fi
#if ! gcc -lpython2.7 test.c -o test; then error=1; echo 'libpython2.7 (python-devel/python2.7-dev) dependency seems to be missing!'; fi
rm -f test test.c
[ $error -eq 1 ] && exit 1
mkdir -p build download
if [ ! -f .downloaded ]; then
wget -c http://ftp.gnu.org/gnu/binutils/${BINUTILS}.tar.bz2 -O download/${BINUTILS}.tar.bz2 && tar xvjf download/${BINUTILS}.tar.bz2 && \
wget -c ftp://ftp.gnu.org/gnu/gcc/${GCC}/${GCC}.tar.xz -O download/${GCC}.tar.xz && tar xvJf download/${GCC}.tar.xz && \
wget -c ftp://sourceware.org/pub/newlib/${NEWLIB}.tar.gz -O download/${NEWLIB}.tar.gz && tar xvzf download/${NEWLIB}.tar.gz && \
wget -c ftp://ftp.gnu.org/gnu/gdb/${GDB}.tar.xz -O download/${GDB}.tar.xz && tar xvJf download/${GDB}.tar.xz && \
touch .downloaded
if [ $? -ne 0 ]; then
echo "Download failed!"
exit 1
fi
fi
# Section 1: GNU Binutils.
echo "Building Binutils..."
[ -f .built_binutils ] || (cd build && rm -rf ./* && ../${BINUTILS}/configure ${OPTIONS_BINUTILS} && make $PARALLEL all && make install && cd .. && rm -rf build/* && touch .built_binutils) || exit 1;
# Section 2: GCC, step 1.
echo "Building GCC (step 1)..."
[ -f .built_gcc_step1 ] || (cd build && rm -rf ./* && ../${GCC}/configure ${OPTIONS_GCC} && make $PARALLEL all-gcc && make install-gcc && cd .. && rm -rf build/* && touch .built_gcc_step1) || exit 1;
# Section 3: Newlib.
echo "Building Newlib..."
[ -f .built_newlib ] || (cd build && rm -rf ./* && ../${NEWLIB}/configure ${OPTIONS_NEWLIB} && make $PARALLEL && make install && cd .. && rm -rf build/* && touch .built_newlib) || exit 1;
# Workaround for newlib bug
rm -f "${PREFIX}/arm-none-eabi/sys-include/newlib.h"
# Section 4: GCC, step 2. Yes, this is necessary.
echo "Building GCC (step 2)..."
[ -f .built_gcc_step2 ] || (cd build && ../${GCC}/configure ${OPTIONS_GCC} && make $PARALLEL && make install && cd .. && rm -rf build/* && touch .built_gcc_step2) || exit 1
# Section 5: GDB.
echo "Building GDB..."
[ -f .built_gdb ] || (cd build && rm -rf ./* && ../${GDB}/configure ${OPTIONS_GDB} && make $PARALLEL && make install && cd .. && rm -rf build/* && touch .built_gdb) || exit 1;
echo "Done!"
echo "Don't forget to add '${PREFIX}/bin' to your \$PATH along with $SCRIPTPATH/../bin."
- Code: Select all
checking build system type... x86_64-unknown-cygwin
checking host system type... x86_64-unknown-cygwin
checking target system type... arm-none-eabi
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln works... no, using cp
checking whether ln -s works... yes
checking for a sed that does not truncate output... /usr/bin/sed
checking for gawk... gawk
checking to see if cat works as expected... yes
checking for gcc... gcc
checking for C compiler default output file name... a.exe
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... .exe
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking whether g++ accepts -static-libstdc++ -static-libgcc... yes
checking for gnatbind... no
checking for gnatmake... no
checking whether compiler driver understands Ada... no
checking how to compare bootstrapped objects... cmp --ignore-initial=16 $$f1 $$f2
checking for objdir... .libs
checking for isl 0.16, 0.15, or deprecated 0.14... no
recommended isl version is 0.16 or 0.15, the minimum required isl version 0.14 is deprecated
checking for isl 0.16 or 0.15... no
*** This configuration is not supported in the following subdirectories:
zlib
(Any other directories should still work fine.)
checking for default BUILD_CONFIG...
checking for --enable-vtable-verify... no
checking for bison... no
checking for byacc... no
checking for yacc... no
checking for bison... no
checking for gm4... no
checking for gnum4... no
checking for m4... no
checking for flex... no
checking for lex... no
checking for flex... no
checking for makeinfo... no
/home/CaitrionaHeneghan/Ndless/ndless-sdk/toolchain/binutils-2.28/missing: line 81: makeinfo: command not found
checking for expect... no
checking for runtest... no
checking for ar... ar
checking for as... as
checking for dlltool... dlltool
checking for ld... (cached) /usr/lib/gcc/x86_64-pc-cygwin/6.4.0/../../../../x86_64-pc-cygwin/bin/ld.exe
checking for lipo... no
checking for nm... nm
checking for ranlib... ranlib
checking for strip... strip
checking for windres... windres
checking for windmc... windmc
checking for objcopy... objcopy
checking for objdump... objdump
checking for readelf... readelf
checking for arm-none-eabi-cc... no
checking for arm-none-eabi-gcc... no
checking for arm-none-eabi-c++... no
checking for arm-none-eabi-g++... no
checking for arm-none-eabi-cxx... no
checking for arm-none-eabi-gxx... no
checking for arm-none-eabi-gcc... no
checking for arm-none-eabi-gcj... no
checking for arm-none-eabi-gfortran... no
checking for arm-none-eabi-gccgo... no
checking for arm-none-eabi-ar... no
checking for arm-none-eabi-as... no
checking for arm-none-eabi-dlltool... no
checking for arm-none-eabi-ld... no
checking for arm-none-eabi-lipo... no
checking for arm-none-eabi-nm... no
checking for arm-none-eabi-objcopy... no
checking for arm-none-eabi-objdump... no
checking for arm-none-eabi-ranlib... no
checking for arm-none-eabi-readelf... no
checking for arm-none-eabi-strip... no
checking for arm-none-eabi-windres... no
checking for arm-none-eabi-windmc... no
checking where to find the target ar... just compiled
checking where to find the target as... just compiled
checking where to find the target cc... pre-installed
checking where to find the target c++... pre-installed
checking where to find the target c++ for libstdc++... pre-installed
checking where to find the target dlltool... just compiled
checking where to find the target gcc... pre-installed
checking where to find the target gcj... pre-installed
checking where to find the target gfortran... pre-installed
checking where to find the target gccgo... pre-installed
checking where to find the target ld... just compiled
checking where to find the target lipo... pre-installed
checking where to find the target nm... just compiled
checking where to find the target objcopy... just compiled
checking where to find the target objdump... just compiled
checking where to find the target ranlib... just compiled
checking where to find the target readelf... just compiled
checking where to find the target strip... just compiled
checking where to find the target windres... just compiled
checking where to find the target windmc... just compiled
checking whether to enable maintainer-specific portions of Makefiles... no
configure: creating ./config.status
config.status: creating Makefile
make: *** No rule to make target 'all'. Stop.
J'ai l'impression que c'est la config du PC qui n'est pas accepte
